# sybase_deadlock_retry_count

(PHP 4 >= 4.3.0, PHP 5)

sybase_deadlock_retry_count — Sets the deadlock retry count

Warning

This function was REMOVED in PHP 7.0.0.

### Description

sybase_deadlock_retry_count ( int `$retry_count` ) : void

Using sybase_deadlock_retry_count(), the number of retries can be defined in cases of deadlocks. By default, every deadlock is retried an infinite number of times or until the process is killed by Sybase, the executing script is killed (for instance, by set_time_limit()) or the query succeeds.

### Parameters

`retry_count`

  Values for retry_count
  -1 | Retry forever (default)
  0 | Do not retry
  n | Retry n times

### Return Values

No value is returned.

### Notes

> Note: This function is only available when using the CT library interface to Sybase, and not with the DB library.